MultiScreenEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.ui.event
Class MultiScreenEvent

    java.lang.Object
      java.util.EventObject
          org.ocap.ui.event.MultiScreenEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MultiScreenConfigurationEvent, MultiScreenContextEvent

    public abstract class MultiScreenEvent

extends EventObject

A `MultiScreenEvent` is an abstract, base classs used to organize event identification codes used by disparate types of events related to multiple screen management functionality.

Since:
  MSM I01
Author:
  Glenn Adams
See Also:
  Serialized Form

Field Summary
`static int` | `MULTI_SCREEN_CONFIGURATION_FIRST` First event identifier assigned to `MultiScreenConfigurationEvent` event identifiers.
`static int` | `MULTI_SCREEN_CONTEXT_FIRST` First event identifier assigned to `MultiScreenContextEvent` event identifiers.

Method Summary
`int` | `getId()` Obtain the event identifier associated with this event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MULTI_SCREEN_CONFIGURATION_FIRST

    public static final int MULTI_SCREEN_CONFIGURATION_FIRST

  First event identifier assigned to `MultiScreenConfigurationEvent` event identifiers.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONTEXT_FIRST

    public static final int MULTI_SCREEN_CONTEXT_FIRST

  First event identifier assigned to `MultiScreenContextEvent` event identifiers.

  Since:
    MSM I01
  See Also:
    Constant Field Values

Method Detail

### getId

    public int getId()

  Obtain the event identifier associated with this event.

  Returns:
    The event identifier of this event, for which see the sub-classes of this class: `MultiScreenConfigurationEvent` and `MultiScreenContextEvent`.
  Since:
    MSM I01
  See Also:
    `MultiScreenConfigurationEvent`, `MultiScreenContextEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD